# Lines configured by zsh-newuser-install
HISTFILE=~/.histfile
HISTSIZE=1000
SAVEHIST=1000
bindkey -v
# End of lines configured by zsh-newuser-install
# The following lines were added by compinstall
zstyle :compinstall filename '/home/rhiobet/.zshrc'

autoload -Uz compinit
compinit
# End of lines added by compinstall

export ZSH=/usr/share/oh-my-zsh
export ZSH_CUSTOM=/usr/share/zsh
ZSH_THEME="af-magic"

plugins=(
  archlinux
  docker
  docker-compose
  fzf
  git
  systemd
  vagrant
  zsh-autosuggestions
  zsh-syntax-highlighting
)

source $ZSH/oh-my-zsh.sh

if [ -f ~/.bash_aliases ]; then
  source ~/.bash_aliases
fi
eval $(thefuck --alias)

ranger() {
    if [ -z "$RANGER_LEVEL" ]; then
        /usr/bin/ranger "$@"
    else
        exit
    fi
}

alias start_gnome='XDG_SESSION_TYPE=wayland exec dbus-run-session gnome-session'

# >>> mamba initialize >>>
# !! Contents within this block are managed by 'mamba init' !!
export MAMBA_EXE="/usr/bin/micromamba";
export MAMBA_ROOT_PREFIX="/home/rhiobet/micromamba";
__mamba_setup="$('/usr/bin/micromamba' shell hook --shell zsh --prefix '/home/rhiobet/micromamba' 2> /dev/null)"
if [ $? -eq 0 ]; then
    eval "$__mamba_setup"
else
    if [ -f "/home/rhiobet/micromamba/etc/profile.d/micromamba.sh" ]; then
        . "/home/rhiobet/micromamba/etc/profile.d/micromamba.sh"
    else
        export  PATH="/home/rhiobet/micromamba/bin:$PATH"  # extra space after export prevents interference from conda init
    fi
fi
unset __mamba_setup
# <<< mamba initialize <<<
